#!/bin/bash
ELASTICSEARCH_API_ROOT="http://localhost:9200/"
LOGSTASH_API_ROOT_EVENTS="http://localhost:9602"
LOGSTASH_API_ROOT_BASH="http://localhost:9603"
LOGSTASH_API_ROOT_TD="http://localhost:9604"
TEMPLATE_INFO="_template/template_1"
TEMPLATE_PATH="template.json"

#Set template
curl -H 'Content-Type: application/json' -X PUT -d @${TEMPLATE_PATH} ${ELASTICSEARCH_API_ROOT}${TEMPLATE_INFO}?include_type_name=true
## POST data to Elastic search
# KYPO portal events
if [ ! -z "$1" ]
then
	cd "$1"
	for FILE in *-events.json
	do
	  while read LINE
	  do
		  LINE=$(echo "$LINE" | sed 's/\\//g' | sed 's/"\[/\[/g' | sed 's/\]"/\]/g')
		  curl -X POST -d "$LINE" "${LOGSTASH_API_ROOT_EVENTS}" -H 'Content-Type: application/json'
	  done < $FILE
	done
	for FILE in training_definition-id*.json
	do
	  TD_FILE_CONTENT=`cat $FILE`
	  curl -X POST -d "$TD_FILE_CONTENT" "${LOGSTASH_API_ROOT_TD}" -H 'Content-Type: application/json'
	done
else
    echo "KYPO PORTAL EVENTS DIRECTORY WAS NOT PROVIDED."
fi

# bash history commands
if [ ! -z "$2" ]
then
	cd "$2"
	for FILE in *-useractions.json
	do
	  while read -r LINE
	  do
		LINE=$(echo "$LINE")
		curl -X POST -d "$LINE" "${LOGSTASH_API_ROOT_BASH}"
	  done < $FILE
	done
else
    echo "KYPO BASH COMMANDS DIRECTORY WAS NOT PROVIDED."
fi
